name: regex-tdfa
version: 1.2.3.2
id: regex-tdfa-1.2.3.2-24BpKmE04Wg88SsVhgqjyZ
key: regex-tdfa-1.2.3.2-24BpKmE04Wg88SsVhgqjyZ
license: BSD-3-Clause
copyright: Copyright (c) 2007, Christopher Kuklewicz
maintainer: Artyom <yom@artyom.me>, Christopher Kuklewicz <TextRegexLazy@personal.mightyreason.com>
author: Christopher Kuklewicz
stability: Seems to work, but not POSIX yet
homepage: https://github.com/ChrisKuklewicz/regex-tdfa
synopsis: Replaces/Enhances Text.Regex
description:
    A new all Haskell "tagged" DFA regex engine, inspired by libtre
category: Text
abi: 83743ce0355341324b4b49f0cf02a305
exposed: True
exposed-modules:
    Data.IntMap.CharMap2 Data.IntMap.EnumMap2 Data.IntSet.EnumSet2
    Text.Regex.TDFA Text.Regex.TDFA.ByteString
    Text.Regex.TDFA.ByteString.Lazy Text.Regex.TDFA.Common
    Text.Regex.TDFA.CorePattern Text.Regex.TDFA.IntArrTrieSet
    Text.Regex.TDFA.NewDFA.Engine Text.Regex.TDFA.NewDFA.Engine_FA
    Text.Regex.TDFA.NewDFA.Engine_NC
    Text.Regex.TDFA.NewDFA.Engine_NC_FA Text.Regex.TDFA.NewDFA.MakeTest
    Text.Regex.TDFA.NewDFA.Tester Text.Regex.TDFA.NewDFA.Uncons
    Text.Regex.TDFA.Pattern Text.Regex.TDFA.ReadRegex
    Text.Regex.TDFA.Sequence Text.Regex.TDFA.String
    Text.Regex.TDFA.TDFA Text.Regex.TDFA.TNFA
hidden-modules: Paths_regex_tdfa
import-dirs: /usr/local/lib/ghc/regex-tdfa-1.2.3.2
library-dirs: /usr/local/lib/ghc/regex-tdfa-1.2.3.2
dynamic-library-dirs: /usr/local/lib/ghc/regex-tdfa-1.2.3.2
data-dir: /usr/local/share/hs-regex-tdfa-1.2.3.2
hs-libraries: HSregex-tdfa-1.2.3.2-24BpKmE04Wg88SsVhgqjyZ
depends:
    array-0.5.3.0 base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1
    ghc-prim-0.5.3 mtl-2.2.2 parsec-3.1.13.0
    regex-base-0.93.2-8QGsCbNNqfw1S2nCPh78l5
haddock-interfaces: /usr/local/share/doc/hs-regex-tdfa-1.2.3.2/html/regex-tdfa.haddock
haddock-html: /usr/local/share/doc/hs-regex-tdfa-1.2.3.2/html
